def main(parent):
	parent.debugCombo.addItem("Debug Off", '0x00000000')
	parent.debugCombo.addItem("Debug Configuration", '0x00000002')
	parent.debugCombo.addItem("Debug Task Issues", '0x00000008')
	parent.debugCombo.addItem("Debug NML", '0x00000010')
	parent.debugCombo.addItem("Debug Motion Time", '0x00000040')
	parent.debugCombo.addItem("Debug Interpreter", '0x00000080')
	parent.debugCombo.addItem("Debug RCS", '0x00000100')
	parent.debugCombo.addItem("Debug Interperter List", '0x00000800')
	parent.debugCombo.addItem("Debug IO Control", '0x00001000')
	parent.debugCombo.addItem("Debug O Word", '0x00002000')
	parent.debugCombo.addItem("Debug Remap", '0x00004000')
	parent.debugCombo.addItem("Debug Python", '0x00008000')
	parent.debugCombo.addItem("Debug Named Parameters", '0x00010000')
	parent.debugCombo.addItem("Debug Gdbon Signal", '0x00020000')
	parent.debugCombo.addItem("Debug Python Task", '0x00040000')
	parent.debugCombo.addItem("Debug User 1", '0x10000000')
	parent.debugCombo.addItem("Debug User 2", '0x20000000')
	parent.debugCombo.addItem("Debug Unconditional", '0x40000000')
	parent.debugCombo.addItem("Debug All", '0x7FFFFFFF')

	# Since you are calling a module method we have to pass the MainWindow
	# instance explicitly. If you defined the `onActivated` inside the MainWindow
	# class it would be passes implicitly so this would not be necessary 
	parent.debugCombo.activated.connect(lambda index: onActivated(parent, index))


# Since this method (slot in Qt speak) is called by the `activated` signal, it
# is not passed sending widget (in Gtk it would be passed the parent )
def onActivated(parent, index):
	data = parent.debugCombo.currentData()
	# or you could also get it from the index like this
	print(parent.debugCombo.itemData(index))
	parent.debugLabel.setText(data)

